<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class EventoJugador extends Model
{
    protected $table = 'evento_jugador';
    
    protected $fillable = [
        'id_evento',
        'id_jugador',
        'puntos',
        'faltas'
    ];

    public function evento()
    {
        return $this->belongsTo(Evento::class, 'id_evento', 'id_evento');
    }

    public function jugador()
    {
        return $this->belongsTo(Jugador::class, 'id_jugador', 'id_jugador');
    }
}
